# Entity relationships

![](/files/-MFU7lSeoqw8spyJPgfK)

### Survey

Survey is the main container for several Questions. Each Question refers to a screen on a survey. In the REST API structure, survey returns an array of Questions.&#x20;

### Question

Question refer to a screen inside a survey and is normally returned as a part of a Survey call. Each Question can also be retrieved invidually via the Questions API. Questions can be part of many surveys but this is a rare case (custom applications).

### Response chain

Response chain is a whole answer to one entire survey. The contents of the responses field is an array of one or more responses depending on which questions the respondent has answered. If the survey has been not answered fully the responses field will only contain the responses up to the point of exit by the customer. Also, skipping logic applied via the survey can result into varying sets of responses by the user.&#x20;

### Response

A Response is an answer to an individual **field** of a Question. Regularly you only have 1 field inside the Question but for Slider and Contact question types the answers are separate Response objects. Each Response shares the `responseChainId` as a foreign key but those fields have a `fieldId` which links to the specific `choice.fieldId` inside a Question.

### Touchpoints

Touchpoints are the source of the incoming responses. This can be an individual Feedbackly terminal, a web widget, an email list etc. Responses have a unique `touchpointId` and a `touchpointName` to further clarify the source of responses. Each Response chain can only have one touchpoint because it represents one session (one respondent).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feedbackly.com/v.5.0.2/api/notes/entity-relationships.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
